<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__capsense__macros__gesture" kind="group">
    <compoundname>group_capsense_macros_gesture</compoundname>
    <title>Gesture Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__capsense__macros__gesture_1ga438d3109bdaa4dd9bd2a5653c37322f5" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_NO_GESTURE</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>No gesture detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="262" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="262" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gae743ee30b6856ba519a9f7b3f34cf31b" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ALL_GESTURES_MASK</name>
        <initializer>(0x03FFu)</initializer>
        <briefdescription>
<para>All gestures enable / detection mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="264" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="264" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga6e09d43f87ae1109ab212ea0858188af" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_FILTERING_MASK</name>
        <initializer>(0x8000u)</initializer>
        <briefdescription>
<para>Gesture enable filtering mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="266" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="266" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga5a23b048578a45a756b6518d4d73b3eb" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_TOUCHDOWN_MASK</name>
        <initializer>(0x2000u)</initializer>
        <briefdescription>
<para>Detection mask of Touchdown. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="268" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="268" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gaf63cf60202ba76967617fe828214e71f" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_LIFTOFF_MASK</name>
        <initializer>(0x4000u)</initializer>
        <briefdescription>
<para>Detection mask of Lift Off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="270" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="270" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gabb930ce91e2bcc9d2e6d991c1856618b" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_SINGLE_CLICK_MASK</name>
        <initializer>(0x0001u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger single click gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="273" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="273" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga8b8acd72bf319f96f240c392dad2e271" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_DOUBLE_CLICK_MASK</name>
        <initializer>(0x0002u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger double click gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="275" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="275" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga5d12f58b57629498afae2edca0a7749a" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_CLICK_DRAG_MASK</name>
        <initializer>(0x0004u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger click and drag gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="277" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="277" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gab1a077e5bf17f502792846cb52e2bcaf" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_TWO_FNGR_SINGLE_CLICK_MASK</name>
        <initializer>(0x0008u)</initializer>
        <briefdescription>
<para>Enable / detection mask of two-finger single click gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="279" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="279" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga8d5527833a1082b48a13f883a015cc1e" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_SCROLL_MASK</name>
        <initializer>(0x0010u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="281" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="281" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gae8a61309c25e5255fa4a46436384184d" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_TWO_FNGR_SCROLL_MASK</name>
        <initializer>(0x0020u)</initializer>
        <briefdescription>
<para>Enable / detection mask of two-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="283" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="283" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga76d9372238319112efa57dd749a08485" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_EDGE_SWIPE_MASK</name>
        <initializer>(0x0040u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger edge swipe gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="285" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="285" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga2ebcf1c878564dc6badc69097041ca9a" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_FLICK_MASK</name>
        <initializer>(0x0080u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="287" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="287" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga8f2f7a9121b4ada5241dd7a14250a0a2" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_ONE_FNGR_ROTATE_MASK</name>
        <initializer>(0x0100u)</initializer>
        <briefdescription>
<para>Enable / detection mask of one-finger rotate gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="289" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="289" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gaa1d831e7dccc101ca4fc6956356cfc09" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_TWO_FNGR_ZOOM_MASK</name>
        <initializer>(0x0200u)</initializer>
        <briefdescription>
<para>Enable / detection mask of two-finger zoom gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="291" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="291" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga577bb1c6645e656fb8a35944559afde8" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_SCROLL</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>Offset of direction of one-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="295" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="295" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gab65415405b4a5a8e2dcd432aeba8dad5" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_TWO_SCROLL</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Offset of direction of two-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="297" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="297" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga930273b6f56453073e1ca8ff2abf94c7" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_EDGE</name>
        <initializer>(0x04u)</initializer>
        <briefdescription>
<para>Offset of direction of one-finger edge swipe gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="299" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="299" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga997e1d9c53001a4bbfd497c22bf06012" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_ROTATE</name>
        <initializer>(0x06u)</initializer>
        <briefdescription>
<para>Offset of direction of one-finger rotate gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="301" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="301" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga7fbcbb9c6b55c782a9f57d94313151e9" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_TWO_ZOOM</name>
        <initializer>(0x07u)</initializer>
        <briefdescription>
<para>Offset of direction of two-finger zoom gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="303" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="303" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga957894ea4d5b38e5f61291ed92dbc993" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_ONE_FLICK</name>
        <initializer>(0x08u)</initializer>
        <briefdescription>
<para>Offset of direction of one-finger flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="305" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="305" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gaa6067a4de589e0aee0521dea75bad3b4" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_SCROLL</name>
        <initializer>(0x0003u)</initializer>
        <briefdescription>
<para>Mask of direction of one-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="309" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="309" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga2b1afba16625a4f234e167a4580f28af" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_TWO_SCROLL</name>
        <initializer>(0x000Cu)</initializer>
        <briefdescription>
<para>Mask of direction of two-finger scroll gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="311" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="311" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga1e23456181eb829ba8671162cb8c77cc" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_EDGE</name>
        <initializer>(0x0030u)</initializer>
        <briefdescription>
<para>Mask of direction of one-finger edge swipe gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="313" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="313" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga348a3958783fd42ce6e7a49f2f41110f" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_ROTATE</name>
        <initializer>(0x0040u)</initializer>
        <briefdescription>
<para>Mask of direction of one-finger rotate gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="315" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="315" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga51290cccf90066ccf5bba33c8757c296" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_TWO_ZOOM</name>
        <initializer>(0x0080u)</initializer>
        <briefdescription>
<para>Mask of direction of two-finger zoom gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="317" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="317" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga90ffefd07036a54158518aa02a267899" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_MASK_ONE_FLICK</name>
        <initializer>(0x0700u)</initializer>
        <briefdescription>
<para>Mask of direction of one-finger flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="319" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="319" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga3bfd7aa90e3ef1bf3c124c90ec9c2e13" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OFFSET</name>
        <initializer>(16u)</initializer>
        <briefdescription>
<para>An extra direction offset returned by <ref kindref="member" refid="group__group__capsense__high__level_1ga55fa694191705971b3aa2c29021fb9aa">Cy_CapSense_DecodeWidgetGestures()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="322" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="322" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga832fa742b151f0e3935f2a64fd6bf248" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_CW</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>CLOCKWISE direction of Rotate gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="326" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="326" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga84ed896903d3820f5493af6b5f2f9dc5" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_CCW</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>COUNTER CLOCKWISE direction of Rotate gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="328" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="328" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga27d0457e0715a7e74d4224a058897431" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_IN</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>ZOOM-IN direction of Zoom gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="331" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="331" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gae8f20752c3e95fdb7b9c7f37cce1a646" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_OUT</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>ZOOM-OUT direction of Zoom gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="333" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="333" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gad81547dd95beb218449d8d209d6f2d90" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_UP</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>UP direction of Scroll, Flick and Edge Swipe gestures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="336" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="336" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gac6a805800ada8e6f499d063f45fb8ba8" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_DOWN</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>DOWN direction of Scroll, Flick and Edge Swipe gestures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="338" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="338" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gabeb98d13bdc3570bca825b5a5d4a4ae0" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_RIGHT</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>RIGHT direction of Scroll, Flick and Edge Swipe gestures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="340" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="340" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga5660ae39ff90e08e33a71508d3059817" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_LEFT</name>
        <initializer>(0x03u)</initializer>
        <briefdescription>
<para>LEFT direction of Scroll, Flick and Edge Swipe gestures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="342" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="342" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga668fe831e9baa65d0953b1b3c7ac1158" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_UP_RIGHT</name>
        <initializer>(0x04u)</initializer>
        <briefdescription>
<para>UP-RIGHT direction of Flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="344" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="344" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga2fd34853dba3ebb589cff0809f439a05" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_DOWN_LEFT</name>
        <initializer>(0x05u)</initializer>
        <briefdescription>
<para>DOWN-LEFT direction of Flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="346" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="346" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1ga77e3a9bb62112a9c735527b339f60069" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_DOWN_RIGHT</name>
        <initializer>(0x06u)</initializer>
        <briefdescription>
<para>DOWN-RIGHT direction of Flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="348" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="348" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__gesture_1gab12489738763fb5ace85ba3fffe3b127" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_GESTURE_DIRECTION_UP_LEFT</name>
        <initializer>(0x07u)</initializer>
        <briefdescription>
<para>UP-LEFT direction of Flick gesture. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="350" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="350" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Gesture macros. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>